Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Search issues, documents, and memory

POST/workspaces/{organizationId}/search
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
querystringrequired
min length 1
teamIdsstring[]
default: []
limitinteger
min 1 · max 1000 · default: 50
Responses
200

Search results

issueIdsstring[]required
documentIdsstring[]required
memoryIdsstring[]required
resultsobject[]required
Show properties
Array of object
typestringrequired
Allowed:issuedocumentmemory
idstringrequired
identifierstring | nullrequired
titlestringrequired
snippetstringrequired
scorenumberrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/search' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "query": "string",
  "teamIds": [],
  "limit": 50
}'
Response
{
  "issueIds": [
    "string"
  ],
  "documentIds": [
    "string"
  ],
  "memoryIds": [
    "string"
  ],
  "results": [
    {
      "type": "issue",
      "id": "string",
      "identifier": "string",
      "title": "string",
      "snippet": "string",
      "score": 0
    }
  ]
}

Was this page helpful?